SwitchStatement (Groovy 4.0.15)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class SwitchStatement

- org.codehaus.groovy.ast.stmt.SwitchStatement

-     public class SwitchStatement
      extends Statement

  Represents a switch (object) { case value: ... case [1, 2, 3]: ... default: ... } statement in Groovy.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SwitchStatement(Expression expression)`
    `SwitchStatement(Expression expression, Statement defaultStatement)`
    `SwitchStatement(Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCase(CaseStatement caseStatement)`
    `` | `public CaseStatement` | `getCaseStatement(int idx)` Returns: the case statement of the given index or null
    `` | `public List<CaseStatement>` | `getCaseStatements()`
    `` | `public Statement` | `getDefaultStatement()`
    `` | `public Expression` | `getExpression()`
    `` | `public void` | `setDefaultStatement(Statement defaultStatement)`
    `` | `public void` | `setExpression(Expression e)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `getConnection, isClosed, execute, execute, execute, execute, close, cancel, getFetchDirection, getFetchSize, clearWarnings, getWarnings, setFetchDirection, setFetchSize, getResultSet, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMaxFieldSize, executeQuery, getMaxRows, setPoolable, executeBatch, getLargeMaxRows, setQueryTimeout, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getUpdateCount, closeOnCompletion, setCursorName, clearBatch, getGeneratedKeys, enquoteIdentifier, getResultSetType, getMoreResults, getMoreResults, isPoolable, addBatch, enquoteLiteral, setMaxFieldSize, executeLargeBatch, setMaxRows, setLargeMaxRows, getQueryTimeout, isSimpleIdentifier, setEscapeProcessing, getResultSetHoldability, getLargeUpdateCount, enquoteNCharLiteral, getResultSetConcurrency, isCloseOnCompletion, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public SwitchStatement(Expression expression)

    - #### public SwitchStatement(Expression expression, Statement defaultStatement)

    - #### public SwitchStatement(Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)

  - ### Method Detail

    - #### public void addCase(CaseStatement caseStatement)

    - #### public CaseStatement getCaseStatement(int idx)

      Returns:
        the case statement of the given index or null

    - #### public List<CaseStatement> getCaseStatements()

    - #### public Statement getDefaultStatement()

    - #### public Expression getExpression()

    - #### public void setDefaultStatement(Statement defaultStatement)

    - #### public void setExpression(Expression e)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)